import string

for npts in [2,4,8,16,32,64,128,256,512,1024]:
    for tao in [1.5,5.0,10.0,20.0]:
        for rho in [10]:
            for alpha in [0.1]:
                for beta in [0.2,0.5,0.9,1.5,2.0]:
                    dim=3;
                    
                    fout=open("script_alm_{0}_{1}_{2}_{3}_{4}.sh".format(npts,tao,rho,alpha,beta),"w");

                    fout.write("#!/bin/bash \n")
                    fout.write("#PBS -q ml-a \n")
                    fout.write("#PBS -l nodes=1:ncpus=1 \n")
                    fout.write("#PBS -l walltime=2:50:00 \n")
                    fout.write("#PBS -o npts.out\n")
                    fout.write("#PBS -e npts.err\n\n")

                    fout.write("source /etc/profile \n\n")
        
                    fout.write("cd $RCAC_SCRATCH/ADMM/code/thompson/bin \n\n")

                    fout.write("./test_alm {0} {1} {2} {3} {4} {5} --scale".format(npts,dim,tao,rho,alpha,beta))

                    fout.close();
