import math
import string

min_allfx=10000.0;
min_tao=1.00;
min_beta=0.01;
alpha=0.1;

for tao in [1.5,5.0,10.0,20.0]:
    for beta in [0.2,0.5,0.9,1.5,2.0]:
        fout1=open("final_alm_tao_gnorm_{0}_{1}.txt".format(tao,beta),"w");
        fout2=open("final_alm_tao_cnorm_{0}_{1}.txt".format(tao,beta),"w");
        fout3=open("final_alm_tao_fx_{0}_{1}.txt".format(tao,beta),"w");
        fout4=open("final_alm_tao_laxgnorm_{0}_{1}.txt".format(tao,beta),"w");
        
        allfx=0.0;
        for npts in [2,4,8,16,32,64,128,256,512,1024]:
            
            dim=3;
            rho=10;

            fin=open("../../code/thompson/bin/result_alm_{0}_{1}_{2:.2f}_{3:.2f}_{4:.1f}_{5:.2f}.txt".format(npts,dim,tao,rho,alpha,beta))  
            
            flag=0;
            for l in fin:
                if l.startswith("Finish"):
                    flag=1;
                    continue;
                
                if flag==1:
                    ll=l.split();
                    
                    allfx=allfx+float(ll[3]);

                    fout1.write("{0} {1}\n".format(npts,ll[4]));
                    fout2.write("{0} {1}\n".format(npts,ll[2]));
                    fout3.write("{0} {1}\n".format(npts,ll[3]));
                    fout4.write("{0} {1}\n".format(npts,ll[1]));
                    fin.close();
                    break;


        if min_allfx>allfx:
            min_allfx=allfx;
            min_tao=tao;
            min_beta=beta;


        fout1.close();
        fout2.close();
        fout3.close();
        fout4.close();                


fout=open("final_alm_bestofschedule.txt","w");
fout.write("tao={0}\n".format(min_tao));
fout.write("beta={0}\n".format(min_beta));
fout.close();
    
