import math

for rho in [-1,0,1,2,3]:

    fout1=open("final_tbbadmm_rho_gnorm_{0}.txt".format(rho),"w");
    fout2=open("final_tbbadmm_rho_cnorm_{0}.txt".format(rho),"w");
    fout3=open("final_tbbadmm_rho_fx_{0}.txt".format(rho),"w");
    fout4=open("final_tbbadmm_rho_cx_{0}.txt".format(rho),"w");
    

    for npts in [2,4,8,16,32,64,128,256,512,1024]:
    
        nThreads=4;
        dim=3;
        tao=1.00;
        alpha=0.5;
        beta=0.01;

        fin=open("../../code/thompson/bin/result_tbbadmm_{0}_{1}_{2}_{3:.2f}_{4}_{5:.1f}_{6:.2f}.txt".format(npts,dim,rho,tao,nThreads,alpha,beta))        

        flag=0;
        for l in fin:
            if l.startswith("Finish"):
                flag=1;
                continue;

            if flag==1:
                ll=l.split();
                
        fout1.write("{0} {1}\n".format(npts,ll[1]));
        fout2.write("{0} {1}\n".format(npts,ll[2]));
        fout3.write("{0} {1}\n".format(npts,ll[4]));

        fin.close();


        cx=0.0
        xin=open("../../code/thompson/bin/x_tbbadmm_{0}_{1}_{2}_{3:.2f}_{4}_{5:.1f}_{6:.2f}.txt".format(npts,dim,rho,tao,nThreads,alpha,beta))
        for l in xin:
            ll=l.split();
            cx=cx+(float(ll[3])-1)*(float(ll[3])-1);
        cx=math.sqrt(cx/npts);
        fout4.write("{0} {1}\n".format(npts,cx));

    fout1.close();
    fout2.close();
    fout3.close();
    fout4.close();
    
