import math

min_allfx=10000.0;
min_tao=1.00;
min_alpha=0.1;
min_beta=0.01;

for tao in [1.01,1.10,2.00,10.00]:
    for alpha in [0.1,0.5,0.9]:
        for beta in [0.01,0.1,1,2]:
            fout1=open("final_tbbadmm_tao_gnorm_{0}_{1}_{2}.txt".format(tao,alpha,beta),"w");
            fout2=open("final_tbbadmm_tao_cnorm_{0}_{1}_{2}.txt".format(tao,alpha,beta),"w");
            fout3=open("final_tbbadmm_tao_fx_{0}_{1}_{2}.txt".format(tao,alpha,beta),"w");
            fout4=open("final_tbbadmm_tao_cx_{0}_{1}_{2}.txt".format(tao,alpha,beta),"w");

            allfx=0.0;
            for npts in [2,4,8,16,32,64,128,256,512,1024]:
    
                nThreads=4;
                dim=3;
                rho=1;

                fin=open("../../code/thompson/bin/result_tbbadmm_{0}_{1}_{2}_{3:.2f}_{4}_{5:.1f}_{6:.2f}.txt".format(npts,dim,rho,tao,nThreads,alpha,beta))  

                flag=0;
                for l in fin:
                    if l.startswith("Finish"):
                        flag=1;
                        continue;

                    if flag==1:
                        ll=l.split();

                allfx=allfx+float(ll[4]);


                fout1.write("{0} {1}\n".format(npts,ll[1]));
                fout2.write("{0} {1}\n".format(npts,ll[2]));
                fout3.write("{0} {1}\n".format(npts,ll[4]));

                fin.close();


                cx=0.0
                xin=open("../../code/thompson/bin/x_tbbadmm_{0}_{1}_{2}_{3:.2f}_{4}_{5:.1f}_{6:.2f}.txt".format(npts,dim,rho,tao,nThreads,alpha,beta))      
                for l in xin:
                    ll=l.split();
                    cx=cx+(float(ll[3])-1)*(float(ll[3])-1);
                cx=math.sqrt(cx/npts);
                fout4.write("{0} {1}\n".format(npts,cx));
                xin.close();

            if min_allfx>allfx:
                min_allfx=allfx;
                min_tao=tao;
                min_alpha=alpha;
                min_beta=beta;


            fout1.close();
            fout2.close();
            fout3.close();
            fout4.close();                


fout=open("final_tbbadmm_bestofschedule.txt","w");
fout.write("tao={0}\n".format(min_tao));
fout.write("alpha={0}\n".format(min_alpha));
fout.write("beta={0}\n".format(min_beta));
fout.close();
