function [f,g] = graph(x,npts,dim,L,varargin)

n=npts*dim;
m=dim+npts;
f=0;

for i=1:npts
    for j=1:npts
        f = f + L(i,j)*(x((i-1)*dim+1:i*dim)'*x((j-1)*dim+1:j*dim));
    end
end

if nargout > 1
    g = zeros(n,1);
    for i=1:npts,
        for j=1:npts,
            if (i~=j),
                for k=1:dim,
                    g((i-1)*dim+k) = g((i-1)*dim+k) + L(i,j)*x((j-1)*dim+k);
                    g((j-1)*dim+k) = g((j-1)*dim+k) + L(i,j)*x((i-1)*dim+k);
                end
            else
                for k=1:dim,
                    g((i-1)*dim+k) = g((i-1)*dim+k) + 2*L(i,j)*x((j-1)*dim+k);
                end
            end
        end
    end
end
    
end

