function [f,g] = graph_c(x,npts,dim,varargin)

n=npts*dim;
m=dim+npts;

f=zeros(m,1);

for i=1:dim
    f(i) = sum(x(i:dim:n));
end

for i=1:npts
     f(i+dim) = sum(x((i-1)*dim+1:i*dim).^2,1) - 1;
end

if nargout > 1
    g = zeros(n,m);
    for i=1:npts,
        for k=1:dim,
            j=(i-1)*dim+k;
            g(j,k)=1;
            g(j,dim+i)=2*x(j);
        end
    end
end
    
end

