addpath('poblano_toolbox');

L=[5 -3 -2; -3 4 -1;-2 -1 3];

npts = 3;
dim = 3;
n = npts * dim;
m = dim+npts;

x0 = rand(n,1);

for i=1:npts
    xi = x0((i-1)*dim+1:i*dim);
    x0((i-1)*dim+1:i*dim) = xi ./ norm(xi);
end

[x,f,info] = alm(@(x) graph(x,npts,dim,L), @(x) graph_c(x,npts,dim), x0, m);
