addpath('poblano_toolbox');

npts = 4;
dim = 3;
n = npts * dim;
m = npts;

x0 = rand(n,1);

for i=1:m
    xi = x0((i-1)*dim+1:i*dim);
    x0((i-1)*dim+1:i*dim) = xi ./ norm(xi);
end

[x,f,info] = alm(@(x) thomson(x,n,m), @(x) thomson_c(x,n,m), x0, m);
