function [f,g] = thomson_c(x,n,m,varargin)

dim = n/m;

f=zeros(m,1);

for i=1:m
     f(i) = sum(x((i-1)*dim+1:i*dim).^2,1) - 1;
end

if nargout > 1
    g = zeros(n,m);
    for i=1:m,
        g((i-1)*dim+1:i*dim,i) = 2*x((i-1)*dim+1:i*dim);
    end
end
    
end

