import string

for nThreads in [1,2,3,4]:
    for npts in [2,4,8,16,32,64,128,256,512,1024]:
        
        dim=3;
        rho=0;
        maxiter=1000;
        tao=1.0;

        fout=open("script_nThreads_{0}_{1}.sh".format(nThreads,npts),"w");

        fout.write("#!/bin/bash \n")
        fout.write("#PBS -q ml-a \n")
        fout.write("#PBS -l nodes=1:ncpus={0} \n".format(nThreads))
        fout.write("#PBS -l walltime=0:30:00 \n")
        fout.write("#PBS -o nThreads.out\n")
        fout.write("#PBS -e nThreads.err\n\n")

        fout.write("source /etc/profile \n\n")

        fout.write("module load intel/12.1 \n");
        fout.write("source /opt/intel/tbb/bin/tbbvars.sh ia32 \n\n")
        
        fout.write("cd $RCAC_SCRATCH/ADMM/code/thompson/bin \n\n")

        fout.write("./tbbadmm {0} {1} {2} {3} {4} {5}".format(npts,dim,rho,maxiter,tao,nThreads))

        fout.close();
