import string

for rho in [-1,0,1,2,3]:
    for npts in [2,4,8,16,32,64,128,256,512,1024]:
        
        dim=3;
        maxiter=5000;
        tao=1.0;
        nThreads=4;

        fout=open("script_rho_{0}_{1}.sh".format(rho,npts),"w");

        fout.write("#!/bin/bash \n")
        fout.write("#PBS -q ml-a \n")
        fout.write("#PBS -l nodes=1:ncpus={0} \n".format(nThreads))
        fout.write("#PBS -l walltime=0:60:00 \n")
        fout.write("#PBS -o rho.out\n")
        fout.write("#PBS -e rho.err\n\n")

        fout.write("source /etc/profile \n\n")

        fout.write("module load intel/12.1 \n");
        fout.write("source /opt/intel/tbb/bin/tbbvars.sh ia64 \n\n")
        
        fout.write("cd $RCAC_SCRATCH/ADMM/code/thompson/bin \n\n")

        fout.write("./tbbadmm {0} {1} {2} {3} {4} {5}".format(npts,dim,rho,maxiter,tao,nThreads))

        fout.close();
