import string

for tao in [1.01,1.1,2,10]:
    for alpha in [0.1,0.5,0.9]:
        for beta in [0.01,0.1,1,2]:
            for npts in [2,4,8,16,32,64,128,256,512,1024]:
        
                dim=3;
                maxiter=5000;
                rho=1;
                nThreads=4;

                fout=open("script_tao_{0}_{1}_{2}_{3}.sh".format(tao,alpha,beta,npts),"w");

                fout.write("#!/bin/bash \n")
                fout.write("#PBS -q ml-a \n")
                fout.write("#PBS -l nodes=1:ncpus={0} \n".format(nThreads))
                fout.write("#PBS -l walltime=0:60:00 \n")
                fout.write("#PBS -o tao.out\n")
                fout.write("#PBS -e tao.err\n\n")

                fout.write("source /etc/profile \n\n")

                fout.write("module load intel/12.1 \n");
                fout.write("source /opt/intel/tbb/bin/tbbvars.sh ia64 \n\n")
        
                fout.write("cd $RCAC_SCRATCH/ADMM/code/thompson/bin \n\n")

                fout.write("./tbbadmm {0} {1} {2} {3} {4} {5} {6} {7}".format(npts,dim,rho,maxiter,tao,nThreads,alpha,beta))

                fout.close();
